"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const config_1 = require("./config");
const setup_1 = require("./setup");
describe("Server inaccessible", () => {
    const servers = setup_1.setupServers({
        mode: "passthrough",
        tapeDirName: "switching-tapes",
    });
    it("doesn't crash when server is inaccessible", () => __awaiter(void 0, void 0, void 0, function* () {
        yield servers.backend.stop();
        try {
            yield axios_1.default.get(`${config_1.PROXAY_HOST}/test`);
        }
        catch (e) {
            // Error is expected. We just don't want a crash.
        }
    }));
});
